org.apache.lucene.document

## Class Field.Index

- java.lang.Object
- - org.apache.lucene.util.Parameter
  - - org.apache.lucene.document.Field.Index

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    Field

      public static final class Field.Index
      extends Parameter
      implements java.io.Serializable

  Specifies whether and how a field should be indexed.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Field.Index` | `ANALYZED` Index the tokens produced by running the field's value through an Analyzer.
    `static Field.Index` | `ANALYZED_NO_NORMS` Expert: Index the tokens produced by running the field's value through an Analyzer, and also separately disable the storing of norms.
    `static Field.Index` | `NO` Do not index the field value.
    `static Field.Index` | `NO_NORMS` Deprecated. This has been renamed to `NOT_ANALYZED_NO_NORMS`
    `static Field.Index` | `NOT_ANALYZED` Index the field's value without using an Analyzer, so it can be searched.
    `static Field.Index` | `NOT_ANALYZED_NO_NORMS` Expert: Index the field's value without an Analyzer, and also disable the storing of norms.
    `static Field.Index` | `TOKENIZED` Deprecated. this has been renamed to `ANALYZED`
    `static Field.Index` | `UN_TOKENIZED` Deprecated. This has been renamed to `NOT_ANALYZED`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.util.Parameter

      `readResolve, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO

          public static final Field.Index NO

      Do not index the field value. This field can thus not be searched, but one can still access its contents provided it is `stored`.

    - #### ANALYZED

          public static final Field.Index ANALYZED

      Index the tokens produced by running the field's value through an Analyzer. This is useful for common text.

    - #### TOKENIZED

          public static final Field.Index TOKENIZED

      Deprecated. this has been renamed to `ANALYZED`

    - #### NOT_ANALYZED

          public static final Field.Index NOT_ANALYZED

      Index the field's value without using an Analyzer, so it can be searched. As no analyzer is used the value will be stored as a single term. This is useful for unique Ids like product numbers.

    - #### UN_TOKENIZED

          public static final Field.Index UN_TOKENIZED

      Deprecated. This has been renamed to `NOT_ANALYZED`

    - #### NOT_ANALYZED_NO_NORMS

          public static final Field.Index NOT_ANALYZED_NO_NORMS

      Expert: Index the field's value without an Analyzer, and also disable the storing of norms. Note that you can also separately enable/disable norms by calling `AbstractField.setOmitNorms(boolean)`. No norms means that index-time field and document boosting and field length normalization are disabled. The benefit is less memory usage as norms take up one byte of RAM per indexed field for every document in the index, during searching. Note that once you index a given field with norms enabled, disabling norms will have no effect. In other words, for this to have the above described effect on a field, all instances of that field must be indexed with NOT_ANALYZED_NO_NORMS from the beginning.

    - #### NO_NORMS

          public static final Field.Index NO_NORMS

      Deprecated. This has been renamed to `NOT_ANALYZED_NO_NORMS`

    - #### ANALYZED_NO_NORMS

          public static final Field.Index ANALYZED_NO_NORMS

      Expert: Index the tokens produced by running the field's value through an Analyzer, and also separately disable the storing of norms. See `NOT_ANALYZED_NO_NORMS` for what norms are and why you may want to disable them.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.